import * as yaml from 'js-yaml';

export const fetchYamlData = async ({ src = '/yml/DialogPorsche.yml' }) => {
  try {
    const response = await fetch(src);
    if (!response.ok) {
      throw new Error('Network response was not ok');
    }
    const yamlData = await response.text();
    const parsedData = yaml.load(yamlData);
    return parsedData;
  } catch (error) {
    throw new Error(`Error loading YAML data: ${error.message}`);
  }
};

