import '../css/global.css'
import '../css/customInput.css'
import BlackButton from './components/customButton'
import { useState, useEffect } from 'react';

function NamePage() {
    const [name, setName] = useState(() => {
        return sessionStorage.getItem("name") || '';
    });

    useEffect(() => {
        sessionStorage.setItem("name", name);
    }, [name]);

    return (
        <div style={{
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
            height: '100vh',
            flexDirection: 'column',
          }}>
            <label className='title'>What should we call you?</label>

            <div style={{
                height: '8vh'
            }}/>

            <input className='input' value={name} onChange={e => setName(e.target.value)}/>

            <div style={{
                height: '8vh'
            }}/>
            {
                name==''?
                    <></>
                :
                    <BlackButton text="Continue" to='/introduction'/>
            }
        </div>
    )
}

export default NamePage
